varying vec3 vertex;
varying vec2 text_coord;

uniform sampler2D f_text;
uniform sampler2D f_text_acc;
uniform sampler2D distance_map_text;
uniform vec4 txt_size;



void main()
{
	vec4 res = (texture2D(f_text,text_coord).xyzw + txt_size.z*texture2D(f_text_acc,text_coord).xyzw)/(txt_size.z+1.0);
	vec4 dist = texture2D(distance_map_text,text_coord).xyzw;
	//if(dist.w!=0.0) 
	res = vec4( mix(dist.xyz,res.xyz,res.w) , 1.0);
	
	gl_FragColor = res;
}






